# utils.py

########################################################################
#  SdiQt -- SDictionary viewer based on Qt library
#  Copyright (C) 2006 Dmitri Brechalov
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#  The full license is in the file COPYING, distributed as part of
#  this software.
########################################################################

def getProgramPath():
    import sys
    import os.path
    pname = sys.argv[0]
    if os.path.islink(pname):
        pname = os.readlink(pname)
    return os.path.split(pname)[0]

def openConfig(mode):
    '''Return config file object'''
    import os.path
    return open(os.path.expanduser('~/.sdiqt'), mode)

_useQtopia = False

def setQtopia(flag):
    global _useQtopia
    _useQtopia = flag

def isQtopia():
    return _useQtopia

def appendHistory(history, combo, fname, txt):
    from qt import QString
    history[txt] = fname
    combo.clear()
    for item in history.keys():
        combo.insertItem(QString().fromUtf8(item))
    
# end of utils.py
